gridengine (8.1.9+dfsg-13.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop retired Uploader: Mark Hymers (Closes: #1107173)
  * Add Build-Depends: libcrypt-dev (Closes: #1106932)
  * Verbosely list BSD license (Closes: #1121298)
  * Fix several build failures with gcc-15 (Closes: #1114138)
  * Inlude termios.h instead of deprecated termio.h

 -- Bastian Germann <bage@debian.org>  Tue, 10 Feb 2026 12:42:39 +0100

gridengine (8.1.9+dfsg-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the binary-all build. (Closes: #1102407)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 11:13:45 +0300

gridengine (8.1.9+dfsg-13) unstable; urgency=medium

  * Team upload
  * Fix up permissions for /usr/lib/gridengine, required now that
    Rules-Requires-Root defaults have changed

 -- Wouter Verhelst <wouter@debian.org>  Mon, 07 Apr 2025 12:15:18 +0200

gridengine (8.1.9+dfsg-12) unstable; urgency=medium

  * Team upload

  [ Bo YU ]
  * Fix incompatible pointer type issue. (Closes: #1075042)

  [ wuruilong ]
  * Add support for loong64 architecture. (Closes: #1060369)

 -- Wouter Verhelst <wouter@debian.org>  Thu, 06 Mar 2025 16:38:08 +0200

gridengine (8.1.9+dfsg-11.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM modules into /usr (DEP 17 M2). (Closes: #1061342)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 01:41:12 +0200

gridengine (8.1.9+dfsg-11) unstable; urgency=medium

  * Team upload.
  * d/patches/riscv64.patch: add support for riscv64 with a patch from
    Bo YU <tsu.yubo@gmail.com> ; thanks!
    Closes: #1017771

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 13 Aug 2023 17:56:03 +0200

gridengine (8.1.9+dfsg-10) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * gridengine-common: depends on cpp (Closes: #985498)

  [ Afif Elghraoui ]
  * Build using libtirpc
  * Add missing Depends on sensible-utils
  * Standards-Version 4.6.0.1

 -- Afif Elghraoui <afif@debian.org>  Sun, 26 Sep 2021 15:59:34 -0700

gridengine (8.1.9+dfsg-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/extern_qualifier.patch: add; fixes FTBFS with g++-10.
    Patch by Pierre Gruet <pgtdebian@free.fr>, updated by Wouter Verhelst
    <wouter@debian.org> for qmake (Closes: #957310).

 -- Wouter Verhelst <wouter@debian.org>  Sun, 31 Jan 2021 14:08:55 +0200

gridengine (8.1.9+dfsg-9) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Do not attempt building JGDI (Reduces severity of #875404)
  * d/watch: update to point to sourceforge
  * Fix FTBFS on armhf due to OpenJDK VM changes.
    Thanks to Adam Barratt for the patch (Closes: #903406)

  [ Andreas Beckmann ]
  * Remove dangling /var/lib/gridengine/jobsbin symlink (Closes: #857659)

 -- Afif Elghraoui <afif@debian.org>  Tue, 05 Feb 2019 01:09:19 -0500

gridengine (8.1.9+dfsg-8) unstable; urgency=medium

  * Use correct paths to qmon pixmaps (Closes: #892296)
  * Update qmake for glibc 2.27.
    Thanks to Aurelien Jarno (Closes: #891373)

 -- Afif Elghraoui <afif@debian.org>  Sun, 11 Mar 2018 21:26:20 -0400

gridengine (8.1.9+dfsg-7) unstable; urgency=low

  * Maintain under the Debian HPC team
  * Move VCS repository to salsa.debian.org.

 -- Afif Elghraoui <afif@debian.org>  Wed, 27 Dec 2017 01:58:20 -0500

gridengine (8.1.9+dfsg-6) unstable; urgency=medium

  * Fix FTBFS with openssl 1.1
    Thanks to Mark Hymers for the patches (Closes: #827076)
  * Bump Standards-Version to 4.1.1
  * Drop explicit build-dependency on autotools-dev

 -- Afif Elghraoui <afif@debian.org>  Sun, 19 Nov 2017 00:18:39 -0500

gridengine (8.1.9+dfsg-5) unstable; urgency=medium

  * Wrap qstatus and qsched commands (Closes: #870637)
  * Remove unused config files from /etc/gridengine (Closes: #554036)
  * d/rules: minor simplification
  * Set SGE_ARCH variable (Closes: #856671)

 -- Afif Elghraoui <afif@debian.org>  Fri, 11 Aug 2017 15:29:37 -0400

gridengine (8.1.9+dfsg-4) unstable; urgency=low

  * Patch upstream source to declare prerequisites for pdc (Closes: #846770)
  * Update to debhelper 10

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Dec 2016 13:19:53 -0800

gridengine (8.1.9+dfsg-3) unstable; urgency=low

  * Require libssl1.0
  * Add dependency on lsb-base for init-script-bearing binary packages

 -- Afif Elghraoui <afif@debian.org>  Wed, 23 Nov 2016 21:09:09 -0800

gridengine (8.1.9+dfsg-2) unstable; urgency=low

  * Backport upstream patch to remove deprecated BSD union wait
    (Closes: #833995)
  * Don't force -m32/-m64 for native compilation (Closes: #828877)
  * Set JAVA_HOME variable in d/rules (Closes: #828874)
  * Set proper Java paths for arm64, mips64el, sparc64, and alpha
  * Add support for x32 (Closes: #828884)
  * d/rules; miscellaneous cleanups
    - Override dh_fixperms-indep rather than applying a manual check
    - debian/rules: don't create unnecessary build-stamp

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Sep 2016 23:00:59 -0700

gridengine (8.1.9+dfsg-1) unstable; urgency=medium

  * Readability improvements:  d/watch, d/rules
  * Verify signatures on upstream release distributions
  * Bump compat version to 9
  * Don't exclude ldAix; document its copyright instead.
    Thanks to Dave Love for adding this in.
  * Bump copyright years
  * Imported Upstream version 8.1.9+dfsg
    - build with MUNGE (Thanks to Dave Love)
    - drop ppc64el patch - similar change was made upstream
    - refresh compiler flags patch
    - remove qidl from Files-Excluded (no longer distributed upstream)
  * Use the arch script to determine folder name rather than hardcode lx-*
  * Don't use aimk -debug
  * Fix db_* symlinks

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Jul 2016 21:02:36 -0700

gridengine (8.1.8+dfsg-7) unstable; urgency=medium

  * Move gridengine.default out of examples/
    Thanks to Carl Pupa for helping to debug (Closes: 826113)
  * Move API documentation to a new gridengine-dev package
  * Don't manage daemons in maintainer scripts - as advised by upstream

 -- Afif Elghraoui <afif@debian.org>  Sun, 26 Jun 2016 15:16:23 -0700

gridengine (8.1.8+dfsg-6) unstable; urgency=medium

  * Fix complete passage of compiler flags to build system
  * Add notes to ppc64le patch about upstream application
  * Bump Standards-Version to 3.9.8
  * Don't hardcode path of ucf for testing existence in maintainer script
  * Use invoke-rc.d to manage daemons in maintainer scripts
    (Closes: #820874)
  * Use C-UTF-8 locale globally

 -- Afif Elghraoui <afif@debian.org>  Mon, 23 May 2016 21:24:00 -0700

gridengine (8.1.8+dfsg-5) unstable; urgency=medium

  * libdrmaa-ruby: correct dependency on gridengine-drmaa
  * Allow parallel building

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 20:38:45 -0700

gridengine (8.1.8+dfsg-4) unstable; urgency=medium

  * Use maintainer scripts to start/stop daemons during upgrades.
  * Use arch: any for arch-dependent packages (Closes: #694040, #735017).
  * Add a symlink to versioned libdrmaa so file (Closes: #820083).
  * Set rpath to /usr/lib/gridengine during build.

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 18:03:30 -0700

gridengine (8.1.8+dfsg-3) unstable; urgency=medium

  * Declare Breaks/Replaces relationships in gridengine-{common,client}
    (Closes: #818844)

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 19:38:41 -0700

gridengine (8.1.8+dfsg-2) unstable; urgency=medium

  * Fix build for --no-arch-all
  * Use cgit rather than gitweb for Vcs-Browser
  * List dependencies one per line for better visualization of diffs

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 11:45:51 -0700

gridengine (8.1.8+dfsg-1) experimental; urgency=medium

  [ Dave Love ]
  * New upstream release (supports arm64, ppc64el) (Closes: #693722)
  * Fix cqueue_summary_xml_handler_init (Closes: #749413)
  * Add libmotif-dev, libxft-dev to Build-Depends to fix possible FTBFS
  * Add conffiles for common
  * Require libxft-dev
  * Move libspool* to client and have exec package depend on it
  * Remove jemalloc patch
  * Fix clean rule
  * Define DEFAULT_EDITOR, use -with-jemalloc in rules
  * Fix armhf detection
  * New upstream release (Closes: #715958)
  * Link with jemalloc.
  * Depend on procps (for /bin/ps, called in some places)
  * Install logcheck config and PAM modules
  * Build-depend on motif-dev, not lesstif2-dev (Closes: #714661, #707937).
  * Don't build-depend on ant, quilt.  Depend on awk in gridengine-common.
  * Fix description for libdrmaa1.0-java-doc, gridengine-drmaa-dev
  * Pick up `-j' from xxx-buildpackage.
  * New upstream release
    - Add architectures s390x, armel, armhf, mips, mipsel.
    - Don't install un-maintained Changelog.
    - Drop most patches, just patching aimk.private.  Part of the 6.2u5-7.1
      one was bogus -- not replicated (Closes: #678618).
    - New package libdrmaa1.0-ruby.
    - Closes: #543649, #599985, #698286, #693722.
    - Remove scripts/cleanup_sgetarball.sh, qlogin.wrapper.
    - Use system jemalloc.
  * Rename package libdrmaa-java to libdrmaa1.0-java (DRMMA2 on the horizon)
    and add package libdrmaa1.0-java-doc.
  * Various build changes
    - Simplify rules by using dh with overrides.
    - Update compat and standards level.
    - Generalize csh dependencies.
    - libdrmaa-java depends on gridengine-drmaa-dev.
    - Move non-drmaa jar files to common/client package.
    - Remove unnecessary X library dependencies.
  * Add various docs, including javadocs.
  * Ship util directory (LP: #901308).
  * Ship installation scripts, link to /var/lib/gridengine, and stop
    installation complaining about missing binaries (Closes: #598510).
  * Various build changes, e.g. with debugging, use mandb, not man page
    links.
  * Modify configuration file
    - set uidmin/gidmin to 1000 for security
      <http://arc.liv.ac.uk/SGE/howto/sge-security.html>
    - add jsv params
    - use builtin remote startup to provide proper integration
  * Put all of utilbin into clients package; link /var/lib/gridengine/bin
    from /usr/lib/gridengine, not /usr/bin; add links for other
    architectures; link to /var/lib/gridengine/lib too.
  * Depend on openssl and db-util; link db utils.
  * Generate settings.{sh,csh}.
  * Enable build hardening.
  * Add lintian-overrides.
  * Ship jgdi, qmake (as qmake_sge), qtcsh (fixes LP: #904376).
  * Conflict with torque.
  * Add qmon menu entry, watch file.
  * Drop dependence on fonts to satisfy lintian -- regresses #609914.
  * Update linux32-wrapper (Closes: #694040).
  * Avoid dependence on libXpm.
  * Change openssh to suggests from recommends.
  * Use debhelper >=9, per packaging guide.

  [ Afif Elghraoui ]
  * Use libdb metapackage in build-depends (Closes: #734702)
  * Revamp debian/copyright
  * Use canonical VCS URLs
  * Set version in d/NEWS to match version in changelog
  * Set gridengine-exec to depend on same version of gridengine-client
  * Use dpkg-dev to import build flags
  * Remove dependency on obsolete hardening-wrapper
  * Always generate autotools helper files
  * Move javadoc from gridengine-client into gridengine-common
  * Add myself to uploaders
  * Add Suggests for interpreters required for optional scripts
  * Remove unused lintian overrides
  * Add Brazilian Portuguese po template.
    Thanks to Adriano Rafael Gomes (Closes: #811509)
  * Use MIT license for debian/*
  * Bump Standards-Version to latest version: 3.9.7
  * Use encrypted protocols for Vcs URLs
  * Register the upstream changelog with debhelper
  * Support ppc64el architecture.
    Thanks to Frederic Bonnard (Closes: #815754)

 -- Afif Elghraoui <afif@debian.org>  Sat, 12 Mar 2016 20:15:22 -0800

gridengine (6.2u5-7.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix code injection and buffer overflow (CVE-2012-0523).

 -- Luk Claes <luk@debian.org>  Sat, 23 Jun 2012 09:24:47 +0200

gridengine (6.2u5-7) unstable; urgency=low

  * gridengine-common: Add Replaces gridengine-client << 6.2u5-2 to avoid
    issues with qlogin-wrapper.  Closes: #657413.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 17:21:27 +0100

gridengine (6.2u5-6) unstable; urgency=high

  * Fix remote root exploit due to trusted user environment (CVE-2012-0208)
    (same patch as 6.2u5-1squeeze1)

 -- Mark Hymers <mhy@debian.org>  Tue, 07 Feb 2012 09:55:05 +0000

gridengine (6.2u5-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * remove alternatives after purge. Closes: #671338
  * use (<< 6.2u5-5) for Brakes & Replaces fields Closes: #671298

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 10 May 2012 22:48:44 -0400

gridengine (6.2u5-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #659257
    - Polish (Michał Kułach).  Closes: #670364
    - Italian (Beatrice Torracca).  Closes: #670895

 -- Christian Perrier <bubulle@debian.org>  Thu, 03 May 2012 08:05:31 +0200

gridengine (6.2u5-5) unstable; urgency=low

  * Non-maintainer upload.
  * update patch 110-kernel.diff to fix FTBFS with kernel >3 (Closes: #669284)
  * use Debian's alternative system for libdrmaa.so (Closes: #645193)
  * replace package libdrmaa1.0 with gridengine-drmaa1.0
  * replace package libdrmaa-dev with gridengine-drmaa-dev

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 22 Apr 2012 19:38:39 -0400

gridengine (6.2u5-4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: changed java dependency to default-jdk
  * set JAVA_HOME=/usr/lib/jvm/default-java (Closes: #640316)
  * added Conflicts with pbs-drmaa
  * added patch 100-as-needed.diff (Closes: #638886)
  * added patch (hack) 110-kernel.diff to build with 3.0 and 3.1 kernel

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 10 Jan 2012 16:15:52 -0500

gridengine (6.2u5-3) unstable; urgency=low

  * Build against libdb5.1.  This involves (hackishly) removing support
    for RPC connections to the spooling database as it's no longer supported
    by BDB.  Noted in NEWS.Debian.gz.  Closes: #621419.
  * Fix to build against libssl1.0.0.  Many thanks to Kurt Roeckx for
    providing the fix.  Closes: #622849.
  * Don't use -Werror; it's just a recipe for a world of future pain.
    Closes: #625344.
  * Fix up spool commands with wrappers to find the spooling libraries in
    /usr/lib/gridengine.
  * Only ucf --purge in postrm/purge if it's installed.  Closes: #620238.

 -- Mark Hymers <mhy@debian.org>  Sun, 03 Jul 2011 20:37:07 +0000

gridengine (6.2u5-2) unstable; urgency=low

  * Install qlogin-wrapper to the correct package. Closes: #608595.
  * Fix pidfile handling.  Closes: #560735.
  * Make sure we use libdb4.8.
  * Fix FTBFS.  Closes: #589952, #564997.
  * Add Danish translation of Debconf templates.  Thanks to Joe Dalton.
    Closes: #591227.
  * Add Depends on xfonts-75dpi | xfonts-100dpi to gridengine-qmon.
    Closes: #609914.
  * Fix up memset calls.  Closes: #609076.
  * Use dynamic spooling build so that people can choose between berkeley and
    classic spooling methods.  Closes: #597895.

 -- Mark Hymers <mhy@debian.org>  Fri, 18 Mar 2011 22:16:51 +0000

gridengine (6.2u5-1) unstable; urgency=low

  * New upstream release.  Closes: #570411.
  * Add Spanish translation of Debconf templates.  Thanks to Francisco Javier
    Cuadrado.  Closes: #581490.
  * Make the wrapper script do what it should do in terms of environment
    variable handling.  Closes: #579382.

 -- Mark Hymers <mhy@debian.org>  Sun, 06 Jun 2010 17:35:47 +0100

gridengine (6.2u4-2) unstable; urgency=low

  * Build java library bindings.  Closes: #544295.
  * Fix SPARC FTBFS due to COMPILE_DC not being set.

 -- Mark Hymers <mhy@debian.org>  Sun, 06 Dec 2009 18:27:28 +0000

gridengine (6.2u4-1) unstable; urgency=low

  * New upstream release.
  * Bump to Standards version 3.8.3.  No changes needed.
  * Change to using quilt for patching.
    + Don't set RPATH
    + Move manpage patches into quilt.
    + Move qmon patches into quilt.
    + Move pidfile patches into quilt.
    + Move editor patch into quilt.
    + Move build system fixes into quilt.
  * Bump to debhelper compat 5.
  * Fix up bad qconf -ae example in README.Debian.  Closes: #540041.
  * Fix reference to gridengine-exec in README.Debian.  Closes: #540032.
  * Ship PE examples.  Closes: #543643.
  * Depends on mailx | bsd-mailx.  Closes: #514224.
  * Rename internal getline function to sge_getline.  Closes: #552833.
  * Patch from Mario Lang <mlang@tugraz.at> to use ssh for qlogin.
    Closes: #521307.
  * Patch from Michael Hanke <michael.hanke@gmail.com> to prevent the init
    script from trying to run multiple execds due to a test failure.
    Closes: #553407.
  * Add Japanese Debconf translation from Hideki Yamane.  Closes: #553030.
  * Fix typo in gridengine.default.  Thanks to Michael Hanke. Closes: #553190.
  * Add HPPA support.  Closes: #506680.
  * Add S390 support.  Closes: #488813.

 -- Mark Hymers <mhy@debian.org>  Tue, 01 Dec 2009 20:15:59 +0000

gridengine (6.2-4) unstable; urgency=medium

  * Add missing qhold symlink.

 -- Mark Hymers <mhy@debian.org>  Sat, 13 Dec 2008 13:02:12 +0000

gridengine (6.2-3) unstable; urgency=low

  * Fix the default configuration file to use full path names.
    Closes: #501972, #497855.
  * Make gridengine-exec Depend: on c-shell | tcsh.  Closes: #497839.
  * Add symlink farm to /var/lib/gridengine to allow for programs
    which rely on $SGE_ROOT/bin and $SGE_ROOT/utilbin.  Closes: #502000.
  * Apply JG-2008-11-10-0 from upstream in order to fix a qmaster
    deadlock.
  * Move qrsh_starter to gridengine-exec instead of gridengine-master.
    Closes: #501976.
  * Remove linux32 from Build-Depends as it's now in util-linux.
  * Ensure we don't fail in gridengine-common postinst when the sgeadmin user
    already exists.

 -- Mark Hymers <mhy@debian.org>  Thu, 27 Nov 2008 23:17:37 +0000

gridengine (6.2-2) unstable; urgency=medium

  * Use chmod instead of chown in postinst.
  * Fix man-pages to have sge_* instead of ge_* in paths and variable
    names.  Closes: #497103.

 -- Mark Hymers <mhy@debian.org>  Sat, 30 Aug 2008 23:08:59 +0100

gridengine (6.2-1) unstable; urgency=low

  * New upstream release.

 -- Mark Hymers <mhy@debian.org>  Fri, 08 Aug 2008 18:30:44 +0100

gridengine (6.2~beta2-3) unstable; urgency=low

  * Update debconf templates.  Thanks to Christian Perrier.  Closes: #488216,
    #488477.
  * Add french translation from Christian.  Closes: #488215.
  * Add Vcs-Browser and Vcs-Git fields to control.
  * Add Czech translation from Miroslav Kure.  Closes: #488373.
  * Add Swedish translation from Martin Bagge.  Closes: #488379.
  * Add Galician translation from Jacobo Tarrio.  Closes: #488381.
  * Add Portuguese translation from Américo Monteiro.  Closes: #488401.
  * Add German translation from Tobias Toedter.  Closes: #488838.
  * Add Finnish translation from Esko Arajärvi.  Closes: #489125.
  * Add Vietnamese translation from Clytie Siddall.  Closes: #489395.
  * Add Russian translation from Yuri Kozlov.  Closes: #489433.
  * Start the execd after the master daemon.

 -- Mark Hymers <mhy@debian.org>  Sat, 19 Jul 2008 16:50:06 +0100

gridengine (6.2~beta2-2) unstable; urgency=low

  * Make sure that when building for a 32-bit userland but on a machine with a
    64-bit kernel, we get the internal SGE arch string right.
  * Upload to unstable.

 -- Mark Hymers <mhy@debian.org>  Wed, 25 Jun 2008 22:36:13 +0100

gridengine (6.2~beta2-1) experimental; urgency=low

  * New upstream release.
  * Depend on bsd-mailx instead of mailx.
  * Bump Standards-Version to 3.8.0 and add Homepage field.
  * Make sure init_cluster script is executable.

 -- Mark Hymers <mhy@debian.org>  Sun, 15 Jun 2008 16:39:03 +0100

gridengine (6.2~beta-1) experimental; urgency=low

  * Initial Release. (Closes: #150124)

 -- Mark Hymers <mhy@debian.org>  Sun, 18 May 2008 12:11:23 +0100
